Introduction

A must read....

  • Pattern fase:

    Being on oldskool analogue sequencer fan, I like the idea of routing control data to whatever comes to mind.
    You step-record a phrase, variate velocities, durations and other parameters and in no time you have a nice groove to build upon.
    There are all kinds of pattern based tools to accomplish this, all with independent timing and length.
    Monophonic line and chord generators are an example but also things like gates, slides and curves are available.

  • Lineair fase:

    While the groove is running, inspiration starts to flow...
    The next step is to record whatever comes to mind without worrying about composition.
    Here the four independent multi-track recorders are the ideal tools to accomplish this.
    Push the record button and start jamming on your midi- or PC keyboard.
    Everything will be recorded in clips that can be split, merged, looped and edited.

  • Composition fase:

    When you have enough material gathered during the two above mentioned fases, it's time to think about arranging them.
    One way is to use the Mixer-state sequencer to build a rough composition and see what works together.
    This sequencer has 16-steps comparable to song-blocks like intro/verse/chorus/bridge.
    The more conventional way is to use the master multi-track where you can arrange clips and events.
    Events are stuff like mutes/resets/fade-ins and outs/variations/mixer-states and so on.

  • The Userinterface:

    The skinnable interface reflects the 3 fases mentioned above.
    On the left side you have the modular giving the overview of what's in use and how it's connected.
    The right side is a scrollable area for pattern based tools and in between you'll find the browser for drag'n'drop preset management.
    On the bottom is the resizable linear panel with it's clips and events.

The software is mouse driven and uses only four shortcuts and two modifiers

  • Mouse : [Right-Click]=popup-menu, [MouseWheel]=change value/zoom, [Double-Click]=on/off.

  • Shortcuts : [Left]=goto next pattern, [Right]=goto previous pattern, [Enter]=Reset, [NumPad-Enter]=Record

  • Modifier: [Control]=multi step or copy, [Shift]=fine tune/audition, [Alt]=Multiple presets/Note velocities.

We hope this short introduction got you interested in this rather unique little VST-(bedroom)host.
Surely it's not the next Cubase/FLStudio/Tracktion/... but we like to think it serves it's purpose well : making music and having FUN!

Happy Sequencing!


Panels and patterns

  • Panels

  • Common stuff

  • Patterns

Panels

Modular

  • Racks, synth-layering, 8 insert effects
  • Connections between pattern based tools
  • Asio-IN rack, MidiIN 1-2, PC-keyboard
  • VST-midi out port

Monophonic note generator

  • Variable loop lengths for notes, velocities, durations
  • Slides
  • 16 and 32 step mode
  • Step-record, groove record, tap-record (quantized/free)
  • 16 patterns

Polyphonic note generator

  • Chords
  • Strumming
  • Drum editing
  • Forward/Backwards
  • Variable step-lengths (polyrhytms)
  • 16 chords progressions
  • Steps 1->32
  • Rotations

Rack controller

  • Slides and gates, interpolated values
  • Forward/Backwards
  • Variable number of steps
  • Parameters, Midi-CC, PB and AT.
  • Steps 1->32
  • 16 patterns (steps/values/tempo)

Beziers and free draw

  • Variable, unlimited lengths
  • Parameters, Midi-CC, PB and AT.
  • Recordable, editable free draw
  • 2 types of beziers curves
  • 16 patterns (speed/scale/offset)

Tools

  • (Cumulative) note, time, velocity and duration transposer's
  • Algoritmical approach to melody and rhythm generation
  • Swing, groove, retrigger, skip and mute

Wave

  • Mix down or drop wave files.
  • AsioIn loop-record
  • 16 patterns (slice and send levels (4 sends))
  • DIRAC Time Stretch/Pitch Shift technology (c) Stephan M. Bernsee
  • One shots

Mixer

  • 16 channel mixer
  • 4 sends per channel
  • 8 inserts per channel
  • Sequencable mixer states
  • Song-structure through mixer states
  • Midi-controllable volumes, pans and send levels

Linear sequencers

  • (Loop)-record midi and GUI (parameter automation, mixer)
  • Clips (loop, merge and split), ghost clips
  • Event sequencer (mutes, fades, resets, patterns, ...)
  • 4 independent sequencers
  • Key- and tempo changes

Piano-roll

  • Lasso-select
  • Copy/paste, transpose
  • Quantize and undo
  • Horizontal and vertical zoom

Curve editor

  • Free draw
  • Line draw

Integrated (context-sensitive) browser

  • Racks
  • Midi-clips
  • Wave
  • Presets

Common Panel-stuff

  • Active panel indicator / Click to close the panel. A panel becomes active "on mouse over". (keyboard focus)

  • Minimize/Maximize. Same as [Double-Click] on titlebar. [Control]-Click to restore all panels of the same type.

  • Click to rename.

  • Click to Enable/Disable the panel.(Event)

  • Mute / Solo     (Event)

Patterns

A panel can have 16 patterns. Patterns can be seen as variations or as measures.

  • Pattern Selectors (Event), [Right-Click] for options, [Ctrl]+[Right-Click] to rename.

  • Led-row to set begin- and endpoints (selection)
  • By default patterns loop from begin- to endpoint.
  • [LEFT] / [Right] -> goto next/previous pattern
  • [Control]+[LEFT] / [Control]+[Right] -> copy to next/previous pattern
  • [Control]-[Click] and drag pattern selection to copy (drop on another pattern selector)
  • Follow pattern variator. With the pattern variator you can play patterns in a rythmical way.

A pattern is a certain state of a page. Following is pattern dependant :

Mono-panel

  • Begin- and end-steps
  • Timing, notes, slides, velocities and durations

Ctrl-Panel / Poly panel

  • Begin- and end-steps
  • Timing
  • 4 Controller-data rows / chord-rows and note-offsets

Wave-Panel

  • Begin- and end-points of wave
  • Volume and pan
  • Send volumes (1-4)

Transposer-Panel

  • Begin- and end-steps
  • Timing
  • Time-transpose, note transpose, velocity transpose and duration transpose.

Bezier-Panel

  • Begin- and end-points
  • Timing
  • Scale and offset

Mixer-Panel

  • Volume and panning
  • Send levels
  • Mutes for [Mono] and [Vst]
  • Optional : routings between [Mono] and [Vst]


Main

[Main] panel

  • General
  • Transport
  • Browser
  • Modular
  • Elements and racks
  • Routings

General

  • Close and minimize, while other panels can be closed and reopened, closing the main panel will close RaX'n'TraX.
  • Main menu
    • open and save projects
    • templates. Template projects are stored in <installfolder>\templates.
    • import midifile : the midi-data will be imported as Midi-Clips in the active linear sequencer.
    • export :
      • render to 16/32bit wave file. The length of the wavefile equals the main loop length + a tail. The length of the tail is calculated on the RMS level (<= -60DB)
      • export to multitrack midifile.
      • export all channels to separate perfectly looped wavefiles (naming : projectname_channelname.wav).
    • skins.
    • setup : MidiIn, MidiOut, Sound-device (Asio/Directsound/MME), wave format, rewire options and folders. You can have up-to 4 different folders for your VST's.
  • Open help / Panic (send "all notes off")
  • Shortcuts- ([Control]/[Shift]/[Alt]) and MidiIn-indicators (MidiPort 1 and 2). Merely informative.
  • Audiodriver and cpu load in percentage. For compatibility purposes, an MME driver is supported. An Asio driver however is highly recommended. If you do not have a soundcard with native Asio drivers, you can try the Asio4ALL driver.
  • Threshold level (see Wave panel) and peak indicator. You can record audio from Asio-In in a Wave-panel. The recording will start when the audio-level reaches the threshold level. (record on audio)
    • Enable force to key (Event) and key dial to choose between major and minor scaling.
    • Tempo from 30Bpm till 720Bpm
    • [Control]-Click on BPM label and drag into linear sequencer for tempo changes (Event)
    • Main volume
    • [Control]-Click on Volume knob and drag into Lineair panel for main volume changes changes (Event)

Transport

    • Start/Stop
    • Record performance. Make sure your soundcard's "record in" is set to "what you hear". (uses MCI)
    • Mainloop On / Mainloop length. The loop length determines the export and mixdown lengths and also the maximum length of the linear sequencers. When the loop is off, those sequencers have an infinite length.
  • Metronome. The metronome sounds are part of the skin. See Metronome_HI.wav and Metronome_LO.wav in the skins folders.

Browser

[Double-click] on titlebar to open/close the context-sensitive browser. You can drop items from the browser on the modular or on a panel. When dropping on the modular a new panel will be opened. The browser will show following items depending on the panel you click :

  • Main
    • [Click] on modular -> Vst-Racks
    • Anywhere else -> projects, midifiles, presets
  • Mono -> midi files
  • Poly -> chord presets
  • Tran -> transposer presets
  • Wave -> wavefiles. Clicking an a wavefile = play. (you need directX 7 or higher).
  • Bez² -> beziers presets
  • Ctrl -> controller presets

Modular

The modular area is the starting point to open the different panels and Vst-Racks. Just [Right-Click] on an empty place to show the menu.

As mentioned above, you can also drop presets and racks from the browser into the modular.

The modular icons and the connection lines are colour-coded and can easily be changed. (see Skins).

[Right-Click] on the icon for menu. You can replace vst's, load racks and set the internal midi-in port

[Control]+[Right-Click] to quick-rename.

[Double-Click] to open/restore panel.

Elements and Racks

There are :

  • 2 Midi-In devices with changeable midi-channels.
  • a PC-keyboard acting as a 2 octave midi-keyboard also with changeable midi-channels.
  • 16 Vst-Racks (master and inserts can be both Instrument as FX)
  • 16 Wave-Racks (master is a wavefile)
  • 1 AsioIN rack (audio comes from asio in, use FX's as inserts) Hook up a mic, a guitar and stuff and route the audio through up-to 8 FX's.
  • 1 Master rack (all audio passes through this rack, use FX's as inserts). Here you could place stuff like final equalizer, compressor , FFT analysers a.s.o.
  • 1 Vst-Out. The output contains midi-data send from other Vst('s).

Example of a rack:

    • 1 master and up to 8 inserts per rack
    • Add Insert
    • Bypass Insert
    • Move Insert down
    • Audio as well as midi passes through a rack from top to bottom. This way you can layer instruments and create complex instruments and fx's combinations.
    • [Right-Click] for menu.

Routings

Following routings are possible :

  • [Tran] -> [Mono] -> [Vst]
  • [Tran] -> [Poly] -> [Vst]
  • [Tran] -> [MidiIN] -> [Vst] : this way your midi-in playing will be automatically transposed as well.
  • [Tran] -> [PC-Keyboard] -> [Vst] : this way your PC keyboard playing will be automatically transposed as well.
  • [Bez²] -> [Vst]
  • [Ctrl] -> [Vst]
  • [Vst] -> [Vst]
  • [Wave] -> [Vst]
  • [MidiIn/PC-keyboard] -> [Vst] : play your vst-instruments live.
  • [MidiIn/PC-keyboard] -> [Mixer] : see midi controllable mixer
  • [Vst-Out] -> [Vst]
  • [Asio-In] -> [Mixer]
  • [Asio-In] -> [Vst]
  • [MidiIn/PC-keyboard] -> [Mono] or [Poly] : transpose / change velocity / mute / trigger phrases

[Vst]->[Vst] connection :

  • You can click on the square of a connection line to switch between :
    • [Normal] => send volumes are unlinked from main volume
    • [Highlightened] :=> send volumes are linked to main volume
    • see also Mixer


MONO

[MONO] panel

  • General
  • Different Elements
  • Step Record
  • Tips

General

What is it for?:

  • The MONO generates monophonic note patterns.
  • Unique is that it has different looppoints for time/note&slide/velocity and duration.
  • Ideal for generating evolving basslines, arpeggio's, hypnotic phrases, and more crazy stuff.
How to stuff it?
  • Step-sequence with mouse, PC- and midi-keyboard.
  • Phrase record with PC- and midi-keyboard.
  • Groove record (tap rhythm).
  • Drop midi-clips from linear panel or browser.

Different elements

  • -> Midi velocity fade (Event). Great for intro's and fade-outs.

  • Slides are generated by means of midi-pitchwheel changes (14 bit).
    Slides are time based (from 0% to 100%) and are calculated considering the previously played note.
    In the example on the left a stream of pitchwheel changes is generated when C2 has been played for about 75%.
  • Phrase record (recording will wait upon midi input, pattern length is auto-aligned to a quarter)
  • Offset in ticks (rubato)
  • Pattern(s) length, number of times a pattern should be looped, and informative counter.
  • Midi-channel for notes. (usefull in case of multi-timbral VST's)
  • export to [MONO]-preset
  • Direction of note-row

Timing Row

  • Predefinied timing (auto-quantised)

  • Timing in ticks, [Shift]+drag to apply grooves.
  • Special timing values
    • Chords, an algorythmic approach to chord generation.
    • Strumming : these timing values are looptime compensated.
      (not included in the total patternlength)

Note Row

  • Hold [Shift] for audition, [Control] for all following steps, [Double-Click] to draw

Velocity Row

  • Hold [Shift] for fast dialing, [Control] for all following steps, [Double-Click] to draw

Duration Row

  • Percentages of time (10%-800%)
    Hold [Shift] for fast dialing, [Control] for all following steps

Variable looppoints per row

  • [Left] and [Right-Click] to set begin- and endpoints
    Plays backwards when endpoint is before beginpoint.
  • [Left-Click] an drag left-right to rotate row, [Shift]+[Left-Click] to rotate all rows
[Right-Click] :
  • Selection = all values between begin- and endpoints
  • Behaviour : choose between "Leds" / "Knobs" / Timing in "Ticks" / "Icons" or in standard notation

    • see also skinning

Step-Record

  • Timing row : record rythm
    • You will notice that the row's behaviour will change to "ticks".
    • Quantisation to 16th's will be applied.
    • Tap your rhythm with [Left-Shift] and/or [Right-Shift].
    • Repeat the first beat to mark the end of the rhythm/ set the correct loop length.
    • Disable the record button.
  • Note row : record notes (with PC keyboard or through Midi In)
  • Velocity row : record velocities (use F1-F8 for predefined velocities)
  • Duration row : record durations (idem dito)

Draw

[Double-Click] on note- or velocity row
[Double-Click] again, or [Right-Click] on draw window to close draw window
Hold [Control] to draw octaves

Tips

If you are used to piano-roll editing :

  • [Right-Click] on linear -> New Note-Clip.**
  • Now you can drag the note-clip from the linear to the Mono-panel.


Controllers

[Poly] panel

  • General
  • Elements
  • Step-bar
  • Grid

General

  • 4 note chords
  • Chords/Strumming
  • Drum editing
  • Forward/Backwards
  • Variable step-lengths (polyrhytms)
  • 16 chords progressions
  • Steps 1->32
  • Rotation/scroll

Elements

  • [Control-Click] and drag into the lineair panel for velocity fades (In and Out)
  • Dial first note
  • Use [Right-Click] to select chord (or dial next notes)
  • Use [Control] to dial all following steps (easy transpose)
  • Pattern(s) length, number of times a pattern should be looped, and informative counter.
  • Midi-channel for notes. (usefull in case of multi-timbral VST's)

Step-bar

  • Click to change direction
  • [Left]-[Right] to rotate
  • [Shift]+([Left]-[Right]) to scroll
  • mousewheel to set number of steps

Nice results are obtained when using different step lengths. Combined with different patterns and optional transposers can result in interesting chord progressions.

Grid

Hold down [Shift] to paint velocities.

[Control]+drag = Step+following steps

Drag to fine tune :

  • TimeOffset
  • Velocity
  • Duration

[Double-Click] step ON/OFF, [Control]-[Double-Click]=Step+following steps

Mousewheel on grid = transpose single step


CTRL

[CTRL] panel

  • General
  • Elements
  • Step-bar
  • Types
  • Grid

General

  • Control VST-rack parameters
  • Midi-CC, PB and AT.
  • Slides, gates and interpolated values
  • Forward/Backwards
  • Variable number of steps
  • Steps 1->32
  • 16 patterns (steps/values/timing)

Elements

  • Controller strength fade (Event)
  • Learn -> tweak your VST
  • Right-Click to choose Midi-CC / Vst-Parm / Pitchwheel / Aftertouch
  • Delete / Add new controller lane (up to 4)
  • Pattern(s) length, number of times a pattern should be looped, and informative counter.
  • Internal midi-port (see VST panel)

Step-bar

  • Click to change direction
  • [Left]-[Right] to rotate
  • [Shift]+([Left]-[Right]) to scroll
  • mousewheel to set number of steps

Types

  • Variable-width gates
  • Interpolated values
  • Variable-width slides

Grid

  • Hold down [Shift] to paint velocities.
  • [Control]+drag = Step+following steps
  • [Double-Click] to set step ON/OFF, [Control] to include all following steps
  • Drag to change level, [Control] to change this step + all following steps
  • Drag to change width, [Control] to change this step + all following steps
  • Baseline, [Control] to offset all steps


Beziers

[BEZ²] panel

  • General
  • Elements
  • Grid

General

  • Control up-to 4 VST-rack parameters
  • Midi-CC, PB and AT.
  • Unlimited length of curves
  • Variable speed and loop points
  • positive/negative curves/scaling
  • Drop zone (drop auto-clips from LIN onto this panel)

Where CTRL is more rythmically based,BEZ² acts more as an evolving parameter controller. The curves can be played from any point with variable speeds.

The 4 destinations share the same curve, but this curve can be scaled/offset per destination. Let's say that destination-0 controls a filter frequency and destination-1 controls the resonance of the filter. You could set the scaling of the resonance curve to negative. This means that when the filter opens, the resonance is less.

Nice results are obtained by sequencing different patterns each with a different speed. It's like turning a knob once slowly, then faster etc...Some patterns could have a higher scaling to get build-ups.

Elements

  • Record VST-tweaks directly.
  • Speed and timeOffset
  • Destination | Enable/Disable | Learn parameter | description ([Right-Click] to choose destination
  • Internal midi-port (see VST panel)
  • Offset and scaling, both can be negative for inverted curves

There are 3 types of curves :

  • Fades (=normal beziers).
  • Extended curves, the curve shape itself can be changed, the resolution (precision) is for midi-curves sample accurate. For parameters blocksize accurate.
  • Free draw

Grid

  • Mousewheel : zoom from point
  • [Left-Click]-[Right-Click] on digits to set begin- and endpoints
  • Click and drag under digits to scroll
  • [Control]-[Click] on empty space to add point
  • [Control]-[Click] on point to remove the point
  • [Click] on point to move in all directions
  • [Shift]-[Click] on point to move point + all following points in all directions
  • [Double]-[Click] to initialize


Mixdown

[WAVE] panel

  • General
  • Render and record
  • Timestretch and pitchshift
  • Grid

General

  • Render to perfect loops
  • AsioIn loop-record
  • VstOut record
  • 16 patterns (slices)
  • DIRAC Time Stretch/Pitch Shift technology (c) Stephan M. Bernsee
  • One shots
  • Drop an external wavefile onto this panel (supported 8/16/24/32 Bits, any samplerate)
  • Auto-samplerate conversion by R8Brain (voxengo)

Besides rendering loops, you can use this panel to mangle drumloops by setting different slices per pattern.

You can also use a wavefile as a transition effect between mixer state changes (see mixer)

Render and record

    • Render "What you hear" into a perfect loop, the length is determined by the Main LoopLength
  • Record
    • from VstOut (play live), the length is determined by the Main LoopLength, recording starts on midi input.
    • from AsioIn (Recording will start when Audio level reaches the threshold level)
  • delete

Timestretch and pitchshift

  •
    • Actual Length
    • TimeStretch to
    • [Rigth-Click] ->
    • Type of material + Quality
    • New Length
    • Pitchshift (-24 -> 24)

Grid

[Click] and drag on grid to set begin- and endpoints of the slice.

Use [Shift] to snap to grid.

Hold down [Control] to move the selection.

[Right]-[Click] to crop the selection and eventually remove clicks.

The idea is to assign different slices to patterns

Then you can start sequencing those patterns :

  • Build in sequencer : plays the patterns one after the other. (from begin- to end pattern)
  • Pattern variator
  • Like all other patterns, drop them on the linear panel to arrange them in a time-lined way.
  • Record the pattern changes :
    • Select a linear (preferably 3 or 4)
    • [Numpad-Enter]
    • Click on the pattern selectors to record them


VST

[VST] panel

Elements

  • Row-1 : Presets
  • Row-2 : Program-Event (drag to linear), Programnumber and name (can be renamed), open/close editor, number of output-ports
  • Row-3 : Midi In channel and Gate

Presets

Will be implemented in a future update. Presets will contain Vst-States and gates.

Internal midi-port

This is the same as [Right-Click] on a modular icon->menu->midi-in.

The idea behind using internal midi-ports is following. Vst-parameters are specific to only one vst, midi-CC/PB/AT on the other hand can be used for multiple vst's. Both [CTRL] as [BEZ²] panels have this midi-channel dial. This means that you can route a curve to multiple vst's as long as both correspond to the same midi-port. In short, on the [CTRL] and [BEZ²] panels you choose the sending midi-port and on the vst side you choose the receiving port. You will notice in the modular that this kind of routing results in a dotted connection line.

Gates

(gate) opens the audio-out of the VstI (in 16ths).

VST-Window

  • Program selector
  • Load and save banks and presets


Tools

Common elements

  • Row-1 : Follow preset player + 16 patterns + export button
  • Row-2 : Time offset + total length of patterns + loopcounter
  • Row-3 : Timing row

    • Transposer
    • Retrigger
    • Skipper
    • Muter
    • Groover


Master/Mixer

Mixer panel

  • General
  • Elements
  • Variator

General

Like all other panels, the mixer has 16 patterns (Event).

These mixer-states can help in roughly arranging different parts of a song. (what works together, on what levels etc...)

With [Left]-[Right] you can easily switch between states, and with the fades you can set the time it takes to switch. (in combination with the time row)

Very usefull in finding the right mix per instrument or instrument group. (mutes are part of a mixer-state)

It's like very roughly arranging, while composing stuff and/or gathering a musical pallet.

You can also sequence the states with the build in sequencer or through a variator panel.

The build in sequencer plays states from begin- to endpoints based on the time row.

Usable for simple songstructures (easy pieces), but also for rythmically variating states (complex loops/gated effects).

With the variator you can sequence blocks of mixerstates; a more or less pattern based view of arranging stuff.

Since a mixer state is an event, you can drop them on a [linear] and sequence the states in a linear way.

You can also record mouse movements on volumes/pans and send levels. These recordings will appear as mixer-clips in the active linear sequencer.

State changes and mutes are recordable as well, just like any other panel (see events in linear).

The mixer is midi and rewire (bus-1) controllable. To control the mixer via midi, connect a [midi-in] to [ mixer] in the modular.

Midi implementation :

  • CC-7 (chn1-16) controls volumes for the 16 channels
  • CC-10 (chn1-16): pans
  • CC-91 - CC94 (chn1-16): send levels
  • for now : F1-F8 mutes [MONO][POLY][CTRL], [Shift]-F1-F8 [VST][WAVE]
  • Rewire controllable through bus 1

Elements

(from top to bottom/left to right)

  • Enable/Disable state sequencer
  • Time row : duration per state
  • Pattern selectors (states) . Click to select, [Right-Click] menu:
    • Panel=Open variator
    • Fire -> On a mixerstate-change you can fire up a wave-file (see wave panel - OneShots) as a transition effect. Oh well, it's a cheap trick, but it works. ;-)
  • Leds :
    • State sequencer OFF: [Left-Click]/[Right-Click] to set begin- and endpoints
    • State sequencer ON : [Click] to set next state to play (when previous state duration has finished)
    • Clicking on a pattern selector turns the state sequencer OFF. (this means "Stop, I want to edit this state")
  • [Left]-[Right]: goto next/previous state
  • [Control]+[Left]-[Right]: copy state to next/previous state
  • [Control-Click] and drag to copy state selection (=all states from begin- to endpoint), and drop it on a pattern selector (insert selection).
  • Mutes, channel volumes/pans, fades and sendlevels are state dependent, routings from [MONO][POLY][CTRL] to [VST] are optional.
  • Router (optional)
    • [Right-Click] : enable/disable routings
    • Connecting between [MONO][POLY][CTRL] and [VST]
    • -> [image] -> [image] -> [image] : Click source -> Click destination
  • [MONO][POLY][CTRL] and [VST][WAVE] row
    • [Click]=Mute/Unmute
    • [Right-Click] for menu
    • [Control-Click] and drag to move to another channel
  • Fades are in percentages of the state duration, [image] ->0%=immediate, [image] ->100% . (Event)
  • Pan knobs and volume sliders : [control] dial = all following
  • Send levels for active channel ( [image])

Variator

->

  • Enable/Disable State variator
  • Start part
  • End part
  • Part number
  • Active part number
  • Repeat counter
  • Example above
    • Play one from intro to intro>
    • Play twice from state A1 to state A2
    • Play four times state C
    • Play from State B1 through state B2 twice
    • Play four times state C
    • Play from State A1 through state B2 once
    • Play outro


Lineair

Linear panel

  • General
  • Events
  • Merged events
  • Clips
  • Loop recording
  • Edit clips
  • Grid
  • Tips

General

Most of the pattern based sequencers (that great stuff like Orion and FLStudio p.e.) let you choose between pattern and song mode.

In RaX'n'TraX both modes run independently.

If you want to improvise on your midi keyboard while some patterns are playing, just push [Numpad-Enter] to start recording.

Don't worry about punch-in or song locators; the line of inspiration should be short 'n' fast.

There are 4 independent (semi-hierarchical) linear sequencers. One can play p.e. some events in a loop, another can be used to record a midi part, yet another could be used for vst-automation try-outs.

In short:

  • Time ruler on top, [Left]- and [Right]-Click to set begin- and endpoints, [Control]+[Right-Click] to set markers (like renaming)
  • Track-pane on the left containing 'Init'-events
  • Grid pane on the right for events and clips
  • [Numpad-Enter] to start (loop)-recording
  • [Enter] to discard recording
You can also drop midifiles onto the panel. If you click on the linear panel, the browser shows the contents of the midi-path. This midi-path is updated when a midi file is dropped.

Tracks can be moved up/down by [Control-Click] and drag on the 'Init'-event.

Select events/clips : hold down [Control] and drag rectangle (=lasso-select)

  • ->
    Selected events get another border (see skins)
  • You can move or copy(=hold down [Control] while moving) the selected events

Zoom with mousewheel

  • cursor on grid pane: zooming starts at the cursor point
  • cursor on track pane : zooming restarts from the first bar.

Scroll the linear view while clicking and dragging on the scrollbars (both horizontally and vertically ( [image] =Indicator, higlighted=not all tracks are shown))

Events

Events ([Control-Click]-drag**) can be dragged from panels and dropped onto the linear panel or can be recorded.

The most common events are mutes and pattern changes. It would become quite boring when the same patterns were played continuously.

Same type of events will be grouped into one track. Every track has it's 'init'-event, that will be fired on (loop)-start.

Click on an event to move (snap to grid), use [Shift] to move freely, [Control-Click] to copy and [Right-Click] to delete.

Same applies for multi-selected events.

Implemented events :

  • Tempo changes ( [image] **)
    • Tempo. Dial on number to change BPM.
    • Tempo Ramp (click on [image] to change to tempo ramp) and resize( [image])

  • Key changes ( [image] **)
    • Dial to change scale.

  • Enable/Disable/Reset ( [image] **)(recordable)

  • Mute/UnMute (All panels)(recordable)
    • ** (All panels) OR [image] **(Mixer panel (Mono/VST))

  • Pattern changes/ Mixer states ( [image] **) This event will also reset the panel.(recordable)

  • Velocity changes (Mono- and Poly-panels [image] **) and Controller-strength changes (Ctrl-panel)
    • 'Init'-event -> offset
    • Click on [image] [image] Up/Down and Resize ( [image])

  • Fades and (main)-volume (Main-panel [image] ** and Mixer panel [image] **)
    • 'Init'-Volume
    • Volume fade, change length by resizing ( [image])
    • Fixed volume

Merged Events

  • Lasso-select the events you want to merge, [Right-Click] for menuoption "merge".
  • You can allways unmerge them later.
  • Merged events are like clips : resize, loop and split.
  • Merge 'n Keep : this option will merge the selected events but keeps the events on the grid. (usefull when building different variations)

Clips

There are three types of clips
  • Midi-clips (note, midi-cc, pitchwheel, aftertouch)
  • Automation clips (Vst-parameters)
  • Mixer clips (volume, pan, send levels)

Click on a clip to move (Snap to grid), use [Shift] to move freely.

Copy clips by holding [Control] and click. A copied clip is by default a ghost clip. Right before editing a clip, you can unghost it.

Split clips by holding [Control]+[Shift] and click.

Loop clips and edit clips : [Right-Click] for menuoptions.

Info on clip : {Number of loops}, [Length of the clip], "Description", (number of active events/total number of events)

Resize normal clips, repeat looped clips.

"Lasso" select clips, and merge the same type of clips. Like, after recording takes, splitting the best fragments and glueing them together.

If you merge looped clips, they will be unrolled. (all looped events will be duplicated the number of loops)

Midi-note clips can be dropped on [Mono]-panels. (all 32 steps per pattern will be used). A last step will be added to adapt the total length is neccesary.

Midi-note and automation-clips can be dropped on [Bez²]-panels. Midi-note clip generates a free drawable curve, based on note length (x-axis) and velocity (y-axis). (a gated curve)

Loop Recording

  • Set the loop length
  • Activate loop and start recording [Numpad-Enter]
  • If you [Control-Click] the record button, recorded clips will be played back while recording
  • The recording will be presented in different clips spread over different tracks. (cfr. takes)
  • [Double-Click] a clip to edit.
  • Lasso-select to merge the good takes into one take. (disabled clips will not be merged)

Editing clips

There are two editors:

  • Piano-Roll (note clips)
    • close editor | change grid to 3/4 or 4/4 | quantize to grid | undo
    • Click to add note (last length and velocity will be remembered)
    • [Right-Click] to delete
    • lasso-select for multi-select
    • [Click] to move (snap to grid), [Shift-Click] to move freely, [Control-Click] to copy
    • Resize note length (default:Grid, [Shift] to resize freely)
    • [Alt] and move up/down to change velocity

  • Free-draw (automation, midi-cc, mixer), hold [Shift] for line drawing

Grid

Mousewheel is very important here! It will not only zoom but also set the grid width.

Snap to grid is default on. Events and clips are moved "by grid width". Splits will occur "on grid", dropped events are aligned on nearest grid, idem dito for resizing clips.

If you want to move freely, hold down [shift]. You'll notice the difference by looking at the song position indicator.

This indicator has a resolution of 48ticks per beat, resulting in a grid range from "128th_triplet" to 1 measure.

However, this is not the minimum resolution of the sequencer. Internally, positions are kept in 960ticks per beat. (usefull when live recording midi data)

There are 36 zoom levels. You can choose grid widths based on 4/4th or on 3/4th (in the editors). (easy triplet note drawing).

Tips

  • Start with a mixerstate event, this includes all initial volumes and mutes.

  • One midi-note clip can play different Vst-Racks. (multiple destinations).
    If you want one midi-note clip to play multiple instruments at different times in the song, [Right-Click]-> "Copy to new track".

  • Semi-hierarchical sequencer use** :
    Instead of copying and pasting repeating blocks of a song, it's easier to mark them (give it a name) and sequence those blocks in the next, higher up linear.
    If your arrangement is in the left-most (= highest) linear : [Right-Click] on selector ->menu->"move to..."
    Now you can sequence those blocks like any other clip. Like making a clip from events, here you make clips from song blocks.

  • Slice up a beat loop (wave panel) and sequence them.
    In the wave panel assign patterns to slices. Drag those pattern changes in a [linear] and start rearranging stuff. Once you're satisfied, merge the events in a clip and move it to your arrangement's [linear].


User Interface

General

  • [Double-Click] on vertical scrollbar to minimize/maximize all panels

  • [Double-Click] on panel titlebar to minimize/maximize

  • [Double-Click] on main panel titlebar to hide/show browser

  • Moving the mouse over a panel makes this panel the [image] "Active" panel.
  • An active panel has the keyboard focus. (for [Left] and [Right] arrows -> change patterns)

  • [Enter] will reset all panels to begin point

  • [Numpad-enter] : start linear recording

  • [Spacebar] start/stop transport

  • [F1-F8]: Mute/Unmute SQ4² Page1->Page8
  • [Shift]+[F1-F8]: Mute/Unmute VST Page-1->Page-8
  • [Ctrl-C]-[Ctrl-V] : Copy (from active panel) / Paste (to active panel)
  • [Control]-[Right-Click] : quick rename

Tooltip

Icons used in tooltip window :

Left-Click to select, set begin points
Mousewheel on dials and knobs=stepchange , on grids= zoom
Right-Click for popup's and end-points
Element can be dragged in linear (Event)
[Left]-[Right] arrows, used to change patterns
[Control] : change this and following, copy, start drag, start lasso select
[Shift] : dial faster, audition on notes, paint on grids
[Alt] : apply to all presets, note-velocity in piano roll

PC-keyboard as midi keyboard

Skinning

Titles.bmp (facultative)

Icons.bmp:

  • Icons can be used, where the name of the icon equals the value

  • Example : ../Note/48.bmp -> will send note number 48

  • See folder : [Install forlder]\skins\mood1\icons\note

  • ex.

  • These icons will work with ODO's Rhythms (Thanks ODO!)


Setup-Midi-Asio-Rewire

Setup devices

  • General
  • Asio
  • Rewire

General

  • Render audio : Choose between 16bit and 32bit.
  • Rewire :
    • Audio-Out means that the audio stream of RaX'n'TraX is routed to the rewire host application
    • Midi-Out means that the midi data is routed to the rewire host application
  • Folders :
    • (controller-maps) is not implemented yet
    • 4 different Vst-folders (usefull for p.e. Instruments / Effects / Percussion / Demo's etc....)
    • If you choose different folder(s) or reassign the same folder, RaX'n'TraX will rescan that folder when closing setup
  • There are 2 MidiIn ports (cfr. Rewire Midi busses), and 1 MidiOut port (+MTC).
  • For compatibility reasons you can choose MME as audio-device, however Asio is recommended.
  • [Single window] : when checked -> only 1 panel per paneltype will be opened (less window-clutter)
  • [MultiCore] : VST-processing will be spread over multiple-cores (32 threads)

Asio

Native drivers :

  • Most of the Asio drivers run without a problem.
  • In DirectMode the latency can be very small. (<=256samples), but some drivers may not support this mode.
  • Surely, not all drivers have been tested : Click here for bug reports.

Asio4All is supported.

ReaRoute (reaper) : no problems at 1024samples.

Rewire

Implementation :

RaX'n'TraX has 2 Midi busses (just like midi-in in standalone mode)

Bus-0 is used to play the VstI's in RaX'n'TraX

  • 16 channels
  • CC#'s 0-127
  • Pitch bend

Bus-1 is used to control RaX'n'TraX

  • 16 channels correspond to Volume and Pan (CC7/CC10) to control the mixer
  • Channel-0 through channel-5 are also used to mute the different panels :
    • Chn-0=SQ4²
    • Chn-1=Vst's
    • Chn-2=Waves
    • Chn-3=CTRL
    • Chn-4=Bez²
    • Chn-5=Transposers
  • Muting is done through NoteOn/NoteOff messages
    • C4 -> Page 0
    • D4 -> Page 1
    • E4 -> Page 2
    • etc...
  • Example :
    • C4-NoteOff on Bus-1/Chn-1 will mute the VST located on page-0
    • F4-NoteOff on Bus-1/Chn-0 will mute the SQ4² located on page-3

To use RaX'n'TraX in Rewire mode : first open your main sequencer.

  • Midi-In
    • Bus 0 -> Midi (NoteOn/NoteOff - CC#'s)
    • Bus 1 -> Controllers (Mixer (Pan/Vol)/Mutes)
  • Midi-Out
    • Midi data coming from RaX'n'TraX (NoteOn/NoteOff - CC#'s)
    • Main panel->Rewire->RightClick
  • Audio-Out

Rewire has been tested with following hosts :

  • Acid 4.x (responds to Start/Stop)
  • Tracktion 1.6.1 (responds to Start/Stop) and Tracktion 2.x
  • FL Studio 6.x
  • Orion 6.x
  • Ableton Live 5.x (responds to Start/Stop)
  • Muzys (responds to Start/Stop)
  • Reaper (responds to Start/Stop)


Company

Nassen : software development, consultancy, system engineering.

Founded : January, 1991.

Address : Mechelsesteenweg 67, 2500 Lier, Belgium

License : BE 701.417.688

HRA : 344918


Version history

History

  • 1.0.1 : BugFix Asio
  • 1.0.2 : Bugfix : Browser->Wave preview->Non multi-Client Asio drivers
  • 1.0.3 : Bugfix : Performance record->Non multi-Client Asio drivers
  • 1.0.4 : VST-Panel->ProgramChanges are now also Events
  • 1.0.5 : Main-panel->minimize button
  • 1.0.6 : Mono-panel->durations can now both be relative as absolute
  • 1.0.7 : Lineair-panel->auto length adjustment for clips
  • 1.0.8 : Wave-panel->crop selection
  • 1.0.9 : Lineair-panel->Merge clips can now be renamed (released)
  • 1.1.0 : New compiler
  • 1.1.1 : AsioIn2Mixer (modular)
  • 1.1.2 : BugFix : Channel positions in Mixer are now properly saved
  • 1.1.3 : BugFix : Scale/Force to scale was not saved
  • 1.1.4 : New : Mono-panel -> direction selector
  • 1.1.5 : BugFix : Scale event fixed
  • 1.1.6 : New : Options->SingleWindow (multiple or single window instances per paneltype)
  • 1.1.7 : New : VST-panel -> Trance-gates (released)(see New_features.rnt)
  • 1.1.8 : BugFix : Messageboxes allways on top
  • 1.1.9 : NEW modifier : ALT -> All presets (BG-EDPreset)
  • 1.2.0 : Note velocities in Piano Roll can now be modified by "ALT"
  • 1.2.1 : New Transposer mode : Retrigger + relative note/vel/dur transpose (New_Features_Retrigger.rnt)
  • 1.2.2 : BugFix : SingleWindow + SkinChange
  • 1.2.3 : Rotations per Row + All rows (Shift-click)
  • 1.2.4 : BugFix : rare bug in render process (released)
  • 1.2.5 : MultiCore support (see setup)
  • 1.2.6 : BugFix lineair recording
  • 1.2.7 : UI-Modular rewritten
  • 1.2.8 : UI-Lineair rewritten
  • 1.2.9 : VST-param clips -> reset on clip end
  • 1.3.0 : Lineair : ini value drawn as line
  • 1.3.1 : Midi-LoopRecord with correct note lengths @end of loop
  • 1.3.2 : Midi-LoopRecord : auto-correct timing on first beat!
  • 1.3.3 : Note lengths cfr. clipLen(released)
  • 1.3.4 : Bug-Fix Event-recording (time)
  • 1.3.5 : Pattern-Change-Event will now reset steps
  • 1.3.6 : Better lookup for identical VST-DLL names in different folders
  • 1.3.7 : New modular-connection : Midi-In/PC-Keyboard -> Mono or Poly (see Help-file)
  • 1.3.8 : BugFix in Engine (VstTimeInfo->cycleEndPos/cycleActive)
  • 1.3.9 : BugFix in VST-Editor windows (repaint) + OnTop option
  • 1.4.0 : 32 Channel mixer (16 Mono+16Poly/Ctrl)-(16VST+16Wave)
  • 1.4.1 : Allways On Top for VST-editor windows(released)
  • 1.4.2 : Drag "Key"-event to MONO panel
  • 1.4.3 : Extended window to draw Notes/Velocities in MONO panel (double-click on Note/Vel row)
  • 1.4.4 : Piano-roll -> vertical zoom
  • 1.4.5 : "Quantize to grid"-menuitem for events
  • 1.4.6 : WAVE -> volumes/pans now follow mixerstates (cfr VST's)
  • 1.4.7 : Better OnTop management for VST-editor windows
  • 1.4.8 : Nasty bugfix in GUI
  • 1.4.9 : New/updated tools : Retrigger/Muter/Skipper/Transposer/Groover(released)


Groover

  • Row-1 and Row-2 : see common elements
  • Row-2 : Extra dial (0-127) to set the humanize/groove factor, click to randomize
  • Row-3 : see common elements
  • Row-4 : Groove values (-99%/99%)

You will notice that when changing a row-4 dial, the next dial will change too. If you hold down [Shift] while dialing, only one dial will change.

The idea is that normal dialing is to introduce swing, while [shift] dialing is to apply small groove changes (humanize).


Muter

  • Row-1 and Row-3 : see common elements
  • Row-4 : Mute/UnMute

Click on the grey box in the modular to invert the mute connection.
This way you can p.e. mute a bass drum while unmuting a bass


Retrigger

  • Row-1 through row-3 : see common elements
  • Row-4 : Number of repeats (0-7)
  • Row-5 : Transpose notes while repeating
  • Row-6 : Variate velocities while repeating
  • Row-7 : Variate durations while repeating


Skipper

  • Row-1 through row-3 : see common elements
  • Row-4 : Number of steps to skip -> note row (-31/31)
  • Row-5 : Number of steps to skip -> velocity row (-31/31)
  • Row-6 : Number of steps to skip -> duration row (-31/31

If the skip value equals 0, skipping will be 1 step in the active direction.
p.e. -2 0 2 0 -> skip -1 step, keep looping backwards, skip 1 step, keep looping forwards


Transposer

  • Row-1 through row-3 : see common elements
  • Row-4 : Add swing to timing. see Groover
  • Row-5 : Transpose notes
  • Row-6 : Variate velocities
  • Row-7 : Variate durations.

You will notice that when changing a swing row dial, the preceding dial will change too. If you hold down [Shift] while dialing, only one dial will change.

The idea is that normal dialing is to introduce swing, while [shift] dialing is to apply small groove changes (humanize).

The transpose-note row works cumulative : you can connect several transposers to one [MONO] or [POLY]. This will result in rather algoritmic transpositions.